SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Private API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Customer
    Get list of customersCreate a customerGet customer by IDUpdate a customerDelete a customerChange a customer's store credit balanceCreate a customer noteUpdate a customer noteDelete a customer note
Address
    Create an addressUpdate an addressDelete an address
Pickup Info
    Get list of pickup infoCreate pickup infoUpdate pickup infoDelete pickup info
Subscription
    Get list of subscriptionsCreate a subscriptionGet subscription by IDUpdate a subscriptionCancel a subscriptionUndo cancellationPause a subscriptionResume a subscriptionSkip renewals until a dateReactivate a cancelled or expired subscriptionSwitch the subscription to another plan by starting overChange the plans of the subscription's itemsUpdate a subscription's shipping address and methodUpdate a subscription's payment methodUpdate a subscription's survey preferencesCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundleChange the plan of a subscription itemChange the variant of a one-time itemApply a discount to a subscription itemRemove a subscription item discountApply a discount to a subscriptionRemove a subscription discount
Invoice
    Get list of invoicesGet invoice by IDSchedule the next payment for invoiceVoid an invoiceForgive an invoiceMark an invoice as paid
Order
    Get list of ordersGet order by IDUpdate an orderShip an orderCancel an orderMark an order as pendingArchive an orderMark an order as a future shipmentSync order shipping items
Payment Method
    Create a payment methodGet payment method by IDDelete a payment method
Transaction
    Get list of transactionsGet transaction by ID
Cancellation
    Get shop cancellation reasons
Product
    Get list of productsGet product by IDGet variant by IDUpdate variantGet plan by IDUpdate planCreate subscription productUpdate subscription productPublish subscription productUnpublish subscription productArchive subscription productSync subscription product metadataCreate one-time productUpdate one-time productPublish one-time productUnpublish one-time productArchive one-time productSync one-time product metadataCreate variantArchive variantBatch create/update/archive variantsCreate planArchive plan
Survey
    Get survey by IDGet list of surveys
Bundle
    Get list of bundlesCreate a new bundleGet bundle by IDUpdate a bundleGet list of bundle itemsCreate a bundle itemBatch create bundle itemsGet bundle item by IDUpdate a bundle itemDelete a bundle itemGet list of bundle groupsPublish a bundleUnpublish a bundleArchive a bundleSync bundle metadataCreate a bundle planGet bundle plan by IDUpdate a bundle planArchive a bundle plan
Tag
    Get list of tags
Metafield
    Get shop's metafieldsCreate a new metadataUpdate the metadata
Funnel
    Get list of funnelsGet funnel by ID
Option
    Get list of options
Country
    Get list of countries
Inventory
    Get list of inventory itemsCreate a new inventory itemGet inventory item by IDUpdate an inventory itemArchive an inventory itemGet list of inventory groupsCreate a new inventory groupGet inventory group by IDUpdate an inventory group
Coupon
    Get list of couponsCreate a couponGet coupon by IDUpdate a couponArchive a coupon
Product Collection
    Get list of product collectionsCreate a product collectionGet product collection by IDUpdate a product collectionPublish a product collectionUnpublish a product collectionArchive a product collectionGet list of collection groups with itemsSync collection items

Subscription

Private Subscription API endpoints

Endpoints
  • GET/subscriptions
  • POST/subscriptions
  • GET/subscriptions/{subscription_id}
  • PATCH/subscriptions/{subscription_id}
  • POST/subscriptions/{subscription_id}/cancel
  • DELETE/subscriptions/{subscription_id}/undo_cancellation
  • POST/subscriptions/{subscription_id}/pause
  • POST/subscriptions/{subscription_id}/resume
  • POST/subscriptions/{subscription_id}/skip
  • POST/subscriptions/{subscription_id}/reactivate
  • POST/subscriptions/{subscription_id}/switch_plan
  • POST/subscriptions/{subscription_id}/change_plans
  • PATCH/subscriptions/{subscription_id}/address
  • PATCH/subscriptions/{subscription_id}/payment_method
  • PATCH/subscriptions/{subscription_id}/preferences
  • POST/subscriptions/{subscription_id}/items
  • GET/subscriptions/{subscription_id}/items/{item_id}
  • PATCH/subscriptions/{subscription_id}/items/{item_id}
  • DELETE/subscriptions/{subscription_id}/items/{item_id}
  • PATCH/subscriptions/{subscription_id}/items/{item_id}/preferences
  • PATCH/subscriptions/{subscription_id}/items/{item_id}/bundle
  • POST/subscriptions/{subscription_id}/items/{item_id}/change_plan
  • POST/subscriptions/{subscription_id}/items/{item_id}/change_variant
  • POST/subscriptions/{subscription_id}/items/{item_id}/discounts
  • DELETE/subscriptions/{subscription_id}/items/{item_id}/discounts/{discount_id}
  • POST/subscriptions/{subscription_id}/discounts
  • DELETE/subscriptions/{subscription_id}/discounts/{discount_id}

Get list of subscriptions

GET /subscriptions

An API endpoint to get list of subscriptions

Query parameters

pageoptionalinteger

Page number

per_pageoptionalinteger

Items per page

statusesoptionalstring[]

Filter by subscription statuses

created_at[gte]optionalstring

Filter to include only records with a created_at on or after the given date.

created_at[lte]optionalstring

Filter to include only records with a created_at on or before the given date.

start_created_atoptionalstringDeprecated

Deprecated alias of created_at[gte]. When both arrive, created_at[gte] wins.

end_created_atoptionalstringDeprecated

Deprecated alias of created_at[lte]. When both arrive, created_at[lte] wins.

customer_idoptionalinteger

Filter by customer ID

product_idoptionalintegerDeprecated

Deprecated, use plan_ids or bundle_ids instead. Filter by product ID. Accepts a parent product ID or a plan (child product) ID; a parent is expanded to itself plus all of its plans. Matches subscriptions whose primary product or any line item is in the resulting set.

plan_idsoptionalinteger[]

Filter by exact plan IDs. Matches subscriptions whose primary product or any line item is one of the given plans. Cannot be combined with bundle_ids.

bundle_idsoptionalinteger[]

Filter by bundle IDs. Matches subscriptions whose primary product or any line item belongs to one of the bundles' products. Cannot be combined with plan_ids.

activeoptionalinteger

Filter by the subscription active flag (0 or 1).

Possible values: 0, 1.

pausedoptionalinteger

Filter by the subscription paused flag (0 or 1). Skipping until a date (skipping_until) does not set this flag.

Possible values: 0, 1.

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Returnsobject

Subscriptions list response

Error responses

422object

A query parameter failed validation: page below 1, per_page outside 1 to 100, a customer_id, product_id, plan_ids[] or bundle_ids[] value that does not belong to the shop, plan_ids sent together with bundle_ids, an unknown statuses[] value, a non-boolean active or paused, a date not in 2022-02-24T04:00:00 format, or a non-array expand[].

curl https://api.subbly.co/private/v1/subscriptions \ -H 'X-API-KEY: <api-key>'
Response
{ "pagination": { "current_page": 1, "last_page": 2, "from": 1, "to": 1, "total": 20 }, "data": [ { "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ] }

Create a subscription

POST /subscriptions

Create a subscription directly, without a checkout. No invoice is issued at creation: an auto-collecting subscription is billed by the renewals engine once starts_at is due, while one with auto_collecting: false waits for manually issued invoices.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Request body

Create a subscription

auto_collectingoptionalboolean

Whether renewals are collected automatically. When true the subscription is charged by the renewals engine when the next payment date is due; when false it is never charged automatically and waits for manually issued invoices. The renewals engine skips non-auto-collecting subscriptions entirely, so starts_at is recorded but nothing is billed on that date. It takes effect only once auto_collecting is switched back to true.

Defaults to true.

customer_idRequiredinteger

The customer the subscription belongs to.

currency_codeRequiredstring

Subscription currency. Must be enabled for the shop and, when a payment method is given, one of that payment method's currencies โ€” the shop currencies attached to its gateway.

payment_method_idRequiredinteger

The customer's payment method, charged on every renewal. Must belong to the customer and support currency_code (see the payment method's currencies); an expired card is rejected. The subscription's test mode is derived from the payment method's gateway: a payment method on a test gateway creates a test subscription.

shipping_address_idoptionalinteger | null

The customer's shipping address id. Required when any product on the subscription is physical; prohibited when every product is digital and none of them collects a shipping address. The products counted are those in items[] plus the gift products of the coupon in discounts, if any. A pickup point id is accepted instead of a street address only when a physical product is present, and then shipping_method_id must be a local pickup method.

billing_address_idoptionalinteger | null

The customer's billing address id. Defaults to shipping_address_id when omitted.

shipping_method_idoptionalinteger | null

Shipping method id. Must be published in the shop and available for shipping_address_id and the subscription's products: a shipping option or local delivery method serving the address's country, region and zip, or a local pickup method serving the pickup point. A FlavorCloud method is accepted only for an address outside the shop's country. Rejected when sent without shipping_address_id. Required when any product on the subscription is physical; prohibited when every product is digital, even one that collects a shipping address. The gift products of the coupon in discounts count like items[] products.

shipping_carrier_idoptionalinteger | null

Shipping carrier id. Required for (and only allowed with) dynamic shipping methods.

shipping_carrier_serviceoptionalstring | null

Shipping carrier service code. Required for (and only allowed with) dynamic shipping methods.

giftoptionalobject | null

Marks the subscription as a gift. With a future starts_at the subscription is created in the gift_waiting_to_start status and activates on that date.

starts_atoptionalstring | null

The day the first charge should land, as a Y-m-d date in the shop's timezone. It is stored at the shop's renewal time, exactly like next_payment_date on the update endpoint, and doubles as the gift start date. Must be today or later, where "today" is evaluated against the server's UTC clock โ€” not the shop's timezone. Omit the field (or send null) to bill the subscription as soon as the renewals engine next runs. That is not the same as passing today's date: today resolves to today at the shop's renewal time, which may still be hours away. Only meaningful for auto-collecting subscriptions โ€” see auto_collecting. A future date does not put the subscription in a distinct status.

Format: date.

charges_limitoptionalinteger | null

Number of successful charges after which the subscription expires. Defaults to the subscription product's setting when omitted; pass null for unlimited.

discountsoptionalobject[]

Subscription-level discounts. At most one entry per type is allowed: a coupon, a gift_card and a custom discount may be combined. The coupon becomes the subscription discount (and its gift products, if any, are added as coupon items); the gift card is redeemed to the customer and its balance is consumed by upcoming invoices; a discount becomes a single subscription-scoped discount, visible via expand=discounts, applied once per invoice across all items โ€” including items added after creation. Items may still carry their own per-item discounts via items[].discounts. At billing time discounts stack in a fixed order โ€” per-item discounts first, then the subscription discount, then the coupon (each computed on the already-discounted total), then the gift card against the remainder โ€” and can never exceed the invoice total.

metadataoptionalobject[] | null

List of metadata and their values

itemsRequiredobject[]

Subscription items. The item type follows the key that names its product: plan_id items are subscription lines (all of them must share one billing cycle), variant_id items are one_time add-ons. At least one plan_id item is required. More than one plan_id item needs the multiple subscription products feature of the shop's plan, and a membership plan (a digital plan) takes no variant_id items.

ReturnsSubscription

Subscription object response

Error responses

400object

The coupon in discounts was redeemable when the request was validated but reached its redemption limit, expired or was deactivated before the subscription was written (coupon_not_redeemable) - typically because a concurrent request took the last redemption. Redemptions are serialised per coupon, so exactly one of the competing requests succeeds. The same holds for the gift card in discounts when a concurrent request redeemed it first (gift_card_already_redeemed, "The gift voucher was already redeemed."). Nothing is created.

422object

Validation failed. customer_id is not a customer of the shop; currency_code is not a currency the shop sells in; payment_method_id does not belong to the customer ("The selected payment method does not belong to the customer."), is an expired card ("The selected payment method card has expired.") or cannot be charged in currency_code ("The payment method id field cannot be charged in EUR; it can be charged in USD."). items names no plan ("The items must contain at least one subscription plan."), plans on different billing cycles ("All subscription plans must share the same billing cycle."), a one-time item on a membership plan ("One-time items are not allowed on membership subscriptions.") or more than one plan while the shop's plan lacks the multiple subscription products feature ("Multiple subscription products are not available on your current plan."); an item sends neither or both of plan_id and variant_id, a product that is not available, a duration on a plan, a bundle that is missing for a configurable bundle, sent for another product or does not fit it, or preferences that do not answer the plan's survey. A shipping address or method is missing while a product is physical ("The shipping method id is required when the subscription contains a physical product.") or sent while no product needs it ("The shipping address id is prohibited for digital products."), the address is not the customer's, a pickup point comes without a local pickup method, the method does not serve the address, or the carrier fields are missing for a dynamic-rate method or sent for another one. gift is sent without recipient_email; starts_at is before today. discounts repeats a type ("Only one coupon discount is allowed per subscription."), names a coupon that is not redeemable or a gift card that is not valid ("The gift card is not valid.") or has expired ("The gift card has already expired."), or holds a discount entry without duration or without exactly one of percent_off and amount_off; items[].discounts holds more than one entry or a type other than discount.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "auto_collecting": true, "customer_id": 1, "currency_code": "USD", "payment_method_id": 1, "shipping_address_id": 1, "billing_address_id": 1, "shipping_method_id": 1, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "gift": { "message": "message", "orders_limit": 1, "recipient_email": "customer@example.com" }, "starts_at": "2026-08-01", "charges_limit": 1, "discounts": [ { "type": "discount", "percent_off": 15, "duration": "forever" } ], "metadata": [ { "id": 1, "values": [ { "id": 10, "value": "Blue" } ] } ], "items": [ { "plan_id": 1, "variant_id": 1, "duration": 1, "quantity": 1, "bundle": { "preferences": [ { "metafield_id": 1, "values": [ null ] } ], "items": [ { "product_id": 1, "quantity": 1 } ] }, "preferences": [ { "question_id": 1, "answers": [ { "id": 1, "content": "content", "quantity": 1 } ] } ], "metadata": [ { "id": 1, "values": [ { "id": 10, "value": "Blue" } ] } ], "discounts": [ { "type": "discount", "amount_off": 150, "duration": "once" } ] } ] }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Get subscription by ID

GET /subscriptions/{subscription_id}

A detailed description of the subscription.

Path parameters

subscription_idRequiredinteger

Subscription ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription exists but belongs to another shop.

404object

No subscription exists with this ID.

422object

The expand[] parameter is not an array.

curl https://api.subbly.co/private/v1/subscriptions/{subscription_id} \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Update a subscription

PATCH /subscriptions/{subscription_id}

Partially update an active subscription. Only the keys present in the body are applied, every other field is left untouched. metadata replaces all subscription-level metadata; item metadata is updated through PATCH /subscriptions/{subscription_id}/items/{item_id}. product_id is deprecated: change plans with POST /subscriptions/{subscription_id}/change_plans.

Path parameters

subscription_idRequiredinteger

Subscription ID

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Request body

Update a subscription

product_idoptionalintegerDeprecated

Deprecated: use POST /subscriptions/{subscription_id}/change_plans with one pick for the subscription's only subscription item. Moves that item to the given subscription plan of this shop in the same transaction as the other keys. Rejected with 422 for subscriptions with multiple subscription items, for a plan on the other membership kind and for a configurable bundle other than the current one, whose contents must be picked through POST /subscriptions/{subscription_id}/items/{item_id}/change_plan.

quantityoptionalinteger

Subscription-level quantity. Rejected for subscriptions with multiple subscription items; update the quantity per item via PATCH /subscriptions/{subscription_id}/items/{item_id}.

next_payment_dateoptionalstring

Next payment date in Y-m-d format. Must be after yesterday.

Format: date.

gift_recipient_emailoptionalstring | null

Email of the gift recipient. Send null to clear it.

Format: email.

gift_messageoptionalstring | null

Gift message. Send null to clear it.

auto_collectingoptionalboolean

Whether payments are collected automatically.

successful_shipment_numberoptionalinteger

Number of successful shipments.

tagsoptionalobject

Tag changes to apply to the subscription.

metadataoptionalMetadataUpdate

Subscription-level metadata only. Item metadata is not affected.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (bad_request). The write re-checks the product_id pick under the lock and refuses it when a subscription item added by a concurrent write since validation would stay on another billing cycle (plan_change_items_left_behind, Item 2 must also be moved to a plan with the same billing cycle.).

404object

No subscription with this ID exists in the shop.

422object

Validation failed, for example product_id is not a subscription plan of this shop on the subscription's membership kind (The selected plan is not available for this item.) or is a configurable bundle other than the current one (The selected plan needs new bundle contents. Pick it with its contents using POST subscriptions/{subscription}/items/{item}/change_plan.), product_id or quantity is sent for a subscription with multiple subscription items (This subscription has multiple subscription items. Change the plans per item using POST subscriptions/{subscription}/change_plans.), next_payment_date is not a Y-m-d date after yesterday, a tags.delete ID is not a tag of this shop, or a metadata entry is invalid.

curl -X PATCH https://api.subbly.co/private/v1/subscriptions/{subscription_id} \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "product_id": 1, "quantity": 1, "next_payment_date": "2026-11-01", "gift_recipient_email": "customer@example.com", "gift_message": "gift_message", "auto_collecting": true, "successful_shipment_number": 0, "tags": { "create": [ { "value": "VIP" } ], "delete": [ { "id": 1 } ] }, "metadata": [ { "id": 1, "values": [ { "id": 10 } ] }, { "id": 2, "values": [ { "value": "Leave at the door" } ] } ] }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Cancel a subscription

POST /subscriptions/{subscription_id}/cancel

Cancels a subscription for a given reason.

Path parameters

subscription_idRequiredinteger

The ID of the subscription to cancel

Request body

Cancellation Reasons Body

reason_idoptionalinteger | null

The ID of the cancellation reason (available if cancellation reasons are enabled)

extra_feedbackoptionalstring | null

Additional feedback from the customer

involuntary_churnoptionalboolean | null

Involuntary churn occurs when a subscription ends due to issues like payment failures. Pass false to clear the past due status and prevent involuntary churn event. Pass true to keep the subscription in its current past due state, which may lead to involuntary churn.

typeoptionalstring | null

Cancellation type. Defaults to 'immediate'. For committed subscriptions 'end_of_commitment' sets cancellation after commitment fulfillment. 'end_of_period' schedules cancellation at the end of the current billing period.

Possible values: immediate, end_of_period, end_of_commitment.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active, for example because it is already cancelled.

404object

No subscription with this ID exists in the shop.

422object

type is not immediate, end_of_period or end_of_commitment; the subscription is already set to cancel at the end of the period (The subscription is already set to cancel at end of period.) or at the end of its commitment (The subscription is already set to cancel at the end of commitment.); type is end_of_commitment but the subscription has no commitment term; reason_id does not belong to the shop, or the shop has cancellation reasons turned off (A cancellation reason cannot be submitted because cancellation reasons are disabled for this shop.); extra_feedback is longer than 255 characters; or involuntary_churn is not a boolean.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions/{subscription_id}/cancel \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "reason_id": 1, "extra_feedback": "extra_feedback", "involuntary_churn": true, "type": "immediate" }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Undo cancellation

DELETE /subscriptions/{subscription_id}/undo_cancellation

Undo the cancellation of a subscription.

Path parameters

subscription_idRequiredinteger

The ID of the subscription

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription belongs to another shop, is not active, or is not set to cancel at the end of the period or at the end of its commitment.

404object

No subscription exists with this ID.

curl -X DELETE https://api.subbly.co/private/v1/subscriptions/{subscription_id}/undo_cancellation \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Pause a subscription

POST /subscriptions/{subscription_id}/pause

Pauses an active subscription until it is resumed with POST /subscriptions/{subscription_id}/resume. The shop's and the product's pause settings do not apply here.

Path parameters

subscription_idRequiredinteger

Subscription ID

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active, is already paused, is past due, is set to cancel at the end of the period, or is skipping renewals.

404object

No subscription with this ID exists in the shop.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions/{subscription_id}/pause \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Resume a subscription

POST /subscriptions/{subscription_id}/resume

Resumes a paused or skipping subscription: the pause and the skip are cleared and next_payment_date becomes the next payment date, stored at the shop's renewal time.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

next_payment_dateRequiredstring

The next payment date, as a Y-m-d date of today or later.

Format: date.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active, or it is neither paused nor skipping renewals.

404object

No subscription with this ID exists in the shop.

422object

next_payment_date is missing, not a Y-m-d date, or before today.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions/{subscription_id}/resume \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "next_payment_date": "2026-11-01" }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Skip renewals until a date

POST /subscriptions/{subscription_id}/skip

Skips renewals until skip_until, which becomes the next payment date, stored at the shop's renewal time. Any date after today is accepted; the shop's skipping settings do not apply here. End a skip early with POST /subscriptions/{subscription_id}/resume.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

skip_untilRequiredstring

The date renewals are skipped until, as a Y-m-d date after today.

Format: date.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active, is paused, is past due, or is already skipping renewals.

404object

No subscription with this ID exists in the shop.

422object

skip_until is missing, not a Y-m-d date, or not after today.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions/{subscription_id}/skip \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "skip_until": "2026-11-01" }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Reactivate a cancelled or expired subscription

POST /subscriptions/{subscription_id}/reactivate

Makes a cancelled or expired subscription active again with renewal_date as its next payment date, stored at the shop's renewal time. The cancellation, pause and skip are cleared and charges_limit resets to unlimited. The shop's reactivation settings do not apply here.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

renewal_dateRequiredstring

The next payment date, as a Y-m-d date of today or later.

Format: date.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is neither cancelled nor expired.

404object

No subscription with this ID exists in the shop.

422object

renewal_date is missing, not a Y-m-d date, or before today.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions/{subscription_id}/reactivate \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "renewal_date": "2026-11-01" }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Switch the subscription to another plan by starting over

POST /subscriptions/{subscription_id}/switch_plan

Closes the subscription and opens a new one, keeping the customer, addresses, payment method, dates, discounts and tags. The new subscription starts on plan_id, or on the subscription's current plan when no plan is named. It holds exactly one subscription item on that plan, seeded from the subscription's representative item (the lowest-id subscription item): its quantity and item discounts carry over, its bundle contents only when the new plan has the same bundle and its survey answers only when it has the same survey; every other subscription item is not copied, one-time items are copied as they are. The old subscription is marked switched. To change plans in place, with every item and the billing cycle kept together, use POST subscriptions/{subscription_id}/change_plans.

Path parameters

subscription_idRequiredinteger

The ID of the subscription to switch

Request body (optional)

plan_idoptionalinteger

The plan the new subscription starts on; any subscription plan of the shop. Defaults to the subscription's current plan.

ReturnsSubscription

The new subscription

Error responses

400object

The subscription is not active.

404object

No subscription with this ID exists in the shop.

422object

plan_id is not an integer or not a subscription plan of the shop.

429object

Another rate-limited request from the same IP address is still running. The endpoint handles one such request at a time.

curl -X POST https://api.subbly.co/private/v1/subscriptions/{subscription_id}/switch_plan \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "plan_id": 48 }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "tags": [ "new", "featured" ], "tags_meta": [], "published": true, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "setup_fee": 1, "pre_order_end_at": "2024-06-01", "pause_enabled": true, "inventory_item_id": 1, "funnel_id": 1, "change_product_collection_id": 1, "tax_product_code": "tax_product_code", "plans_count": 3, "pricings": [ {} ], "plans": [ {} ] }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1.5, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "plan_id": 1, "variant_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "ori
[...]
